Relesys API Docs

v1.4

https://api.relesystest.net/api/v1.4

Participation

List
GET /calendarmodules/{moduleId}/calendars/{calendarId}/participation
https://api.relesystest.net/api/v1.4/calendarmodules/{moduleId}/calendars/{calendarId}/participation
Get a list of event participations.

attendanceConfirmed will only be set if attendance confirmation is enabled on the related calendar event - otherwise it will be null.

Default sort is by creationDateTime in ascending order.
Scopes: relesys.api, relesys.api:read, relesys.api.calendars, relesys.api.calendars:read
URL Path
moduleId string / guid required
calendarId string / guid required
Query String
attendanceConfirmed boolean Filterable optional
creationDateTime datetimeoffset Filterable Sortable optional
eventId string / guid Filterable optional
fillingId string / guid Filterable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
status string Filterable Sortable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":3,"data":[{"id":"b6df838a-6853-4627-8f30-f2d8b1ebbf24","url":null,"eventId":"b36cda11-0810-4078-b700-9bddd12fad0b","eventUrl":null,"userId":"5235f422-c69d-44a9-aa69-72ac70e517ba","userUrl":null,"status":"Attending","attendanceConfirmed":false,"fillingId":"dfebe7b0-bfe6-4307-ab1c-ea18b2b76909","fillingUrl":null,"creationDateTime":"2026-10-25T06:19:09.2387478+00:00","lastModifiedDateTime":"2026-10-26T06:19:09.2387478+00:00"},{"id":"94f8e840-1ae9-4f28-923e-e9a3b132c358","url":null,"eventId":"f933dae6-7011-4ee5-ad7f-077cc722d49f","eventUrl":null,"userId":"82d02b6b-6ac7-40d1-890f-4d706eda49de","userUrl":null,"status":"Tentative","attendanceConfirmed":true,"fillingId":null,"fillingUrl":null,"creationDateTime":"2026-10-26T06:19:09.2387478+00:00","lastModifiedDateTime":null},{"id":"aceff5cf-a869-4eb4-9305-e019b8a68848","url":null,"eventId":"8f2d12e4-3cac-485f-972a-0d1c259c7a82","eventUrl":null,"userId":"826e39b6-2996-46fd-937a-5f65e5a695cf","userUrl":null,"status":"Not attending","attendanceConfirmed":null,"fillingId":"27130467-84a9-4617-bf93-38dbf1c7f426","fillingUrl":null,"creationDateTime":"2026-10-26T06:19:09.2387478+00:00","lastModifiedDateTime":null}]}
object
  count integer      
  ⯈ data array[object]      
   attendanceConfirmed boolean      
   creationDateTime datetimeoffset      
   eventId string / guid      
   eventUrl string      
   fillingId string / guid      
   fillingUrl string      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   status string      
   url string      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string